body {
    background-color: $background-color-body;
    color: $text-color-body;
    font-family: $font-family-sans-serif;
    font-size: 18px;
}

a {
    color: $text-color-link;
    text-decoration: none;
    font-weight: 700;
    &:focus,
    &:hover {
        color: $text-color-link-hover;
    }
}

.h1,
.h2,
.h3,
.h4,
.h5,
.h6,
h1,
h2,
h3,
h4,
h5,
h6 {
    text-align: center;
    font-weight: 700;
    @media (min-width: $screen-sm-min) {
        text-align: left;
    }
}

.btn-wrapper {
    text-align: center;
    @media (min-width: $screen-sm-min) {
        text-align: left;
    }
}

.btn {
    border-radius: 2px;
    border-width: 0;
    font-size: 14px;
    margin-bottom: 0;
    margin-top: 15px;
    padding: 6px 12px;
    text-transform: uppercase;
    white-space: normal;
    &.btn-primary {
        background-color: $background-color-button-primary;
        color: $text-color-primary;
    }
    &.btn-lg {
        font-size: 16px;
        padding: 15px 25px;
    }
    &.btn-xlg {
        font-size: 18px;
        padding: 30px 50px;
    }
}

.embed-responsive {
    margin-top: 30px;
    @media (min-width: $screen-sm-min) {
        margin-top: 0;
    }
    article & {
        margin-bottom: 15px;
        margin-top: 15px;
        @media (min-width: $screen-sm-min) {
            margin-bottom: 30px;
            margin-top: 30px;
        }
    }
}

.alert {
    border-radius: 0;
    border-width: 0;
    color: $text-color-alert;
    margin-bottom: 30px;
    margin-top: 30px;
    padding: 15px 30px;
    position: relative;
    @media (min-width: $screen-sm-min) {
        margin-left: auto;
        margin-right: auto;
        width: 80%;
    }
    &.alert-success {
        background-color: $background-color-alert-success;
        .icon {
            span {
                background-position-y: 0;
            }
        }
    }
    &.alert-info {
        background-color: $background-color-alert-info;
        .icon {
            span {
                background-position-y: 0;
            }
        }
    }
    &.alert-warning {
        background-color: $background-color-alert-warning;
        .icon {
            span {
                background-position-y: -72px;
            }
        }
    }
    &.alert-danger {
        background-color: $background-color-alert-danger;
        .icon {
            span {
                background-position-y: -144px;
            }
        }
    }
    .icon {
        text-align: center;
        @media (min-width: $screen-sm-min) {
            display: table-cell;
            vertical-align: middle;
        }
        span {
            background-image: url($image-path + "sprites-alerts.png");
            background-position-x: center;
            display: inline-block;
            height: 72px;
            margin-bottom: 10px;
            width: 78px;
            @media (min-width: $screen-sm-min) {
                margin-bottom: 0;
                margin-right: 30px;
            }
        }
    }
    p {
        text-align: center;
        @media (min-width: $screen-sm-min) {
            display: table-cell;
            text-align: left;
            vertical-align: middle;
        }
    }
}

.table {
    margin-top: 20px;
    >thead {
        >tr {
            >th {
                background-color: $background-color-primary;
                border-bottom-width: 0;
                color: $text-color-primary;
            }
        }
    }
    >tbody {
        >tr {
            &:nth-child(2n+2) {
                background-color: $background-color-8;
            }
            >th,
            >td {
                font-size: 16px;
            }
        }
    }
    >tfoot {
        >tr {
            >td {
                font-size: 14px;
            }
        }
    }
}

.thumbnail {
    border-radius: 0;
    margin-bottom: 30px;
    margin-top: 20px;
    padding: 5px;
    .caption {
        margin-top: 5px;
        p {
            margin: 0;
            text-align: center;
        }
    }
}

code {
    font-size: 100%;
}